Subject: RE: issue 24

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 25 Sep 2002 16:48:01 -0400

Jeff:

  I was just responding to Yakove comment:

"By *definition* a route is a <path attribute, NLRI> pair. From that
definition it follows that changing one or more path attributes of
a route means changing a route, which means withdrawing the old
route (route with the old attributes) from service and advertising
a new route (route with the new attributes)."

I think we are playing with words here, 3.1a and 3.1b do not address
the point as I have argued. Therefore, I am still not satisfied 
we nailed it down in the spec. 

As you can see I dont care for assumptions very much.

I would like to see this statement added somewhere in section 3.1:

"A route's attributes can be added, modified, or deleted by sending another
 UPDATE message with the same route and the new attributes, or by
withdrawing
 the route (route with the old attributes) from service and advertising
 a new route (same route with the new attributes)."

Ben

> -----Original Message-----
> From: Jeffrey Haas [mailto:[email-masked]]
> Sent: Wednesday, September 25, 2002 4:35 PM
> To: Abarbanel, Benjamin
> Cc: 'Yakov Rekhter'; [email-masked]
> Subject: Re: issue 24
> 
> 
> Ben,
> 
> On Wed, Sep 25, 2002 at 04:28:07PM -0400, Abarbanel, Benjamin wrote:
> > Why withdraw and add the same route if one of the optional 
> attributes
> > changes from value A to value B.
> 
> If you're just changing an attribute, the withdrawal is implicit
> rather than explicit.  You wouldn't want to explicitly withdraw
> a route if you just want to change the attributes because that
> has consequences for route damping and also for the MRAI and 
> MAOI timers.
> 
> 3.1a covers the explicit withdrawal
> 3.1b covers an implicit withdrawal
> 
> -- 
> Jeff Haas 
> NextHop Technologies
>

---

From: Yakov Rekhter <[email-masked]>
Date: Wed, 25 Sep 2002 14:02:16 -0700

Ben,

>  a new route (same route with the new attributes)."

If it is "the same route", then *by definition* of a route it has to be
the same attributes. And if the attributes changed, then it is no longer
"the same route". With this in mind how about adding the following to 3.1:

  Changing attribute of a route means that the route is withdrawn
  from service, and a replacement route is advertised. The replacement
  route carries new (changed) attributes and has the same NLRI as the 
  route that was withdrawn.

Yakov.